%global debug_package %{nil}

Summary: Deriving functions from type declaration in OCaml
Name:    ocaml-deriving
Version: 0.7
Release: %mkrel 2
Source0: http://ocsigen.org/download/deriving-%{version}.tar.gz
License: MIT
Group:   Development/OCaml
URL:     https://github.com/ocsigen/deriving/
BuildRequires: ocaml-camlp4-devel
BuildRequires: ocaml-compiler
BuildRequires: ocaml-findlib
BuildRequires: ocaml-type-conv
BuildRequires: ocaml-optcomp
Requires: ocaml-type-conv
Requires: ocaml-camlp4
Obsoletes: ocaml-deriving-ocsigen < 0.6-3
Provides:  ocaml-deriving-ocsigen = %{version}-%{release}

%description
Camlp4 extension to OCaml for deriving functions from type declarations.
It includes derivers for pretty-printing, type-safe marshalling with
structure-sharing, dynamic typing, equality, and more. This is the version
maintained by the Ocsigen project.


%package devel
Summary: Development files for deriving functions from type declarations
Group:   Development/OCaml
Requires: %{name} = %{version}-%{release}
Obsoletes: ocaml-deriving-ocsigen-devel < 0.6-3
Provides:  ocaml-deriving-ocsigen-devel = %{version}-%{release}

%description -n %{name}-devel
The %{name}-devel package contains the headers and native code libraries to
develop applications that use %{name}.


%prep
%setup -q -n deriving-%{version}

#sed -i 's/type-conv/type_conv/g' Makefile.config
#sed -i 's/type-conv/type_conv/g' files/*
#sed -i 's/type-conv/type_conv/g' syntax/Makefile

%build
./configure
#--destdir %{buildroot} --prefix %{_prefix}
make


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/deriving-ocsigen
make install
rm -f %{buildroot}%{_libdir}/ocaml/deriving/*.ml

%files
%doc COPYING CHANGES README.md
%dir %{_libdir}/ocaml/deriving
%{_libdir}/ocaml/deriving/META
%{_libdir}/ocaml/deriving/*.cma
%{_libdir}/ocaml/deriving/*.cmi
%{_libdir}/ocaml/deriving/*.cmxs

%files devel
%{_libdir}/ocaml/deriving/*.a
%{_libdir}/ocaml/deriving/*.cmxa
%{_libdir}/ocaml/deriving/*.cmx
%{_libdir}/ocaml/deriving/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.7-2.mga6
+ Revision: 1056324
- Rebuild for fix in ocaml

* Tue Feb 02 2016 pterjan <pterjan> 0.7-1.mga6
+ Revision: 931671
- Fix BuildRequires
- Update to 0.7

* Tue Feb 03 2015 akien <akien> 0.6-4.mga5
+ Revision: 813279
- Replace %%rename by single-versioned obsoletes and versioned provides
- Properly obsolete ocaml-deriving-ocsigen-devel

* Tue Feb 03 2015 sander85 <sander85> 0.6-3.mga5
+ Revision: 813233
- Rename devel package too

* Wed Oct 15 2014 umeabot <umeabot> 0.6-2.mga5
+ Revision: 750719
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 malo <malo> 0.6-1.mga5
+ Revision: 736952
- update to 0.6
- ocaml-deriving is the new name

* Tue Sep 16 2014 umeabot <umeabot> 0.5-4.mga5
+ Revision: 683019
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.5-3.mga4
+ Revision: 539499
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 malo <malo> 0.5-2.mga4
+ Revision: 492355
- rebuild for new ocaml 4.01.0

* Sun Sep 08 2013 blue_prawn <blue_prawn> 0.5-1.mga4
+ Revision: 476217
- build now requires optcomp
- updated to last version 0.5

* Thu Jul 04 2013 malo <malo> 0.3c-6.mga4
+ Revision: 450186
- add patch for compatibility with newest ocaml-type_conv (>109)
- add substitutions to use type_conv instead of type-conv

* Sat Jan 12 2013 umeabot <umeabot> 0.3c-5.mga3
+ Revision: 361287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 malo <malo> 0.3c-4.mga3
+ Revision: 329901
- change BR to ocaml-compiler

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.3c-3.mga3
+ Revision: 301652
- new rpm group for ocaml
- new rpm group for ocaml

* Thu Mar 01 2012 blue_prawn <blue_prawn> 0.3c-1.mga2
+ Revision: 216330
- update to new version 0.3c

* Thu Feb 23 2012 malo <malo> 0.3b-1.mga2
+ Revision: 212451
- imported package ocaml-deriving-ocsigen

